<xml> </xml>

db4o |

# IoAdapter Methods

The methods of the IoAdapter class are listed below. For a complete list of IoAdapter class members, see the IoAdapter Members topic.

#### Public Instance Methods

BlockCopy | copies a block within a file in block mode
BlockSeek | Overloaded. sets the read/write pointer in the file using block mode
BlockSize | Overloaded. outside call to set the block size of this adapter
Close | implement to close the adapter
Copy | copies a block within a file in absolute mode
Delete | deletes the given path from whatever 'file system' is addressed
Equals (inherited from Object) |
Exists | checks whether a file exists
GetHashCode (inherited from Object) |
GetLength | implement to return the absolute length of the file
GetType (inherited from Object) |
Open | implement to open the file
Read | Overloaded. reads a buffer at the seeked address
Seek | implement to set the read/write pointer in the file, absolute mode
Sync | implement to flush the file contents to storage
ToString (inherited from Object) |
Write | Overloaded. writes a buffer to the seeked address

#### Protected Instance Methods

Finalize (inherited from Object) |
MemberwiseClone (inherited from Object) |
RegularAddress | converts address and address offset to an absolute address

#### See Also

IoAdapter Class | com.db4o.io Namespace